Skip to content

Export



POST /api/v1/tag/export

Overview

Export the global tag template based on the tag list filter criteria.

Query Parameters

Parameter Type Required Description
search string Search by tag name
Allow empty: False
filter string Filter condition
Allow empty: False
Valid values: ['BoardRefTagObject', 'ViewerRefTagObject', 'CheckerRefTagObject', 'SmartCheckerRefTagObject', 'AiCheckerRefTagObject', 'DialingRefTagObject', 'SecurityRuleRefTagObject']

Additional Parameter Notes

This API exports global tags independently and does not require a workspace resource export task.

Request Notes

  1. Export parameters are consistent with the tag list API, except that pagination parameters are not supported.
  2. The currently supported filter parameters are search and filter.
  3. Only tags that are valid in the current Workspace are exported.
  4. The response content is a JSON list that can be used directly as the import template for /tag/import.

Exported Fields

Field type Description
name string Tag name
description string Tag description
colour string Tag color

Fields Not Exported

  • uuid
  • workspaceUUID
  • creator
  • updator
  • createAt
  • updateAt

Example Request

curl 'https://openapi.truewatch.com/api/v1/tag/export?search=%E6%A0%B8%E5%BF%83&filter=CheckerRefTagObject' \
-H 'DF-API-KEY: <DF-API-KEY>'

Response

{
    "code": 200,
    "content": [
        {
            "name": "核心服务",
            "description": "核心服务标签",
            "colour": "style_key3"
        },
        {
            "name": "线上环境",
            "description": "",
            "colour": "default"
        }
    ],
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-EXAMPLE"
}